<template>
    <div id="menu" >
        <a @click='botão' href="#"> <img :src="menu" alt="Menu" width="15" height="15"></a>
    </div>
    <OpcoesMenu v-if="click"/>
</template>
    
<script>
import OpcoesMenu from './OpcoesMenu.vue'

export default {
    name: 'BotaoMenu',
    components: {
        OpcoesMenu
    },
    data(){
        return{
            menu:'https://th.bing.com/th/id/R.d8dbecc3592548731a231edf7140b5de?rik=VyiIM14FwxRgqQ&riu=http%3a%2f%2fcdn.onlinewebfonts.com%2fsvg%2fimg_512083.png&ehk=xzY6i%2fyYJvAhFGdthYf083qxL76%2fSIGgjcypOg3Dpoo%3d&risl=&pid=ImgRaw&r=0',
            click: false,
        }
    },
    methods: {
        botão() {
            return this.click = !this.click
        }
    }
    }

</script>

<style>
    #menu{
        padding: 1px;
        margin: 1px 3.5px;
        width: 34px;
        height: 34px;
        display: flex;
        align-items: center;
        justify-content: center;
        background: rgb(255, 255, 255);
        border-radius: 20px;
        position: relative;
    }
    #menu:hover{
    background: rgb(241, 241, 241);}
</style>